- Qt 6.10
- Qt Core
- C++ Classes
- QJsonParseError
- Qt 6.10.2 Reference Documentation

# QJsonParseError Struct

The QJsonParseError class is used to report errors during JSON parsing. More...

Header: | `#include <QJsonParseError>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`

- List of all members, including inherited members
- QJsonParseError is part of JSON Support in Qt and Implicitly Shared Classes.

Note: All functions in this struct are reentrant.

## Public Types

enum | ParseError { NoError, UnterminatedObject, MissingNameSeparator, UnterminatedArray, MissingValueSeparator, …, GarbageAtEnd }

## Public Functions

QString | errorString() const

## Public Variables

QJsonParseError::ParseError | error
std::conditional_t<6 < 7, int, qint64> | offset

## Detailed Description

See also JSON Support in Qt and Saving and Loading a Game.

## Member Type Documentation

### enum QJsonParseError::ParseError

This enum describes the type of error that occurred during the parsing of a JSON document.

Constant | Value | Description
--- | --- | ---
`QJsonParseError::NoError` | `0` | No error occurred
`QJsonParseError::UnterminatedObject` | `1` | An object is not correctly terminated with a closing curly bracket
`QJsonParseError::MissingNameSeparator` | `2` | A comma separating different items is missing
`QJsonParseError::UnterminatedArray` | `3` | The array is not correctly terminated with a closing square bracket
`QJsonParseError::MissingValueSeparator` | `4` | A colon separating keys from values inside objects is missing
`QJsonParseError::IllegalValue` | `5` | The value is illegal
`QJsonParseError::TerminationByNumber` | `6` | The input stream ended while parsing a number (as of 6.9, this is no longer returned)
`QJsonParseError::IllegalNumber` | `7` | The number is not well formed
`QJsonParseError::IllegalEscapeSequence` | `8` | An illegal escape sequence occurred in the input
`QJsonParseError::IllegalUTF8String` | `9` | An illegal UTF8 sequence occurred in the input
`QJsonParseError::UnterminatedString` | `10` | A string wasn't terminated with a quote
`QJsonParseError::MissingObject` | `11` | An object was expected but couldn't be found
`QJsonParseError::DeepNesting` | `12` | The JSON document is too deeply nested for the parser to parse it
`QJsonParseError::DocumentTooLarge` | `13` | The JSON document is too large for the parser to parse it
`QJsonParseError::GarbageAtEnd` | `14` | The parsed document contains additional garbage characters at the end

## Member Function Documentation

### QString QJsonParseError::errorString() const

Returns the human-readable message appropriate to the reported JSON parsing error.

See also error.

## Member Variable Documentation

### QJsonParseError::ParseError QJsonParseError::error

Contains the type of the parse error. Is equal to QJsonParseError::NoError if the document was parsed correctly.

See also ParseError and errorString().

### std::conditional_t<6 < 7, int, qint64> QJsonParseError::offset

Contains the byte offset in the UTF-8 byte array where the parse error occurred.

See also error, errorString(), and QJsonDocument::fromJson().